import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/managers/interfaces/base.dart';

/// 检查管理
abstract class IExamManager implements IManager {
  /// 创建检查
  Future<String?> createExam(CreateExamRequest examRequest);

  /// 编辑检查
  Future<bool?> editExam(UpdateExamRequest examRequest);

  ///
  Future<bool?> updateExamByBatchNumberAsync(
      UpdateExamByBatchNumberRequest updateExamByBatchNumberRequest);
}
